%define        majversion  %(echo %version | cut -d. -f 1-2)
## *AUTOSPEC-OFF*
%define        vimdir      %{name}%(majversion=%majversion; echo ${majversion/\./})
## *AUTOSPEC-ON*
%define        langversion 7.2
%define        with_gvim   0

Name:          vim
Version:       8.2.3378
Release:       1mamba
Summary:       VIsual editor iMproved
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.vim.org/
Source:        https://github.com/vim/vim.git/v%{version}/vim-%{version}.tar.bz2
Source2:       vimrc-skel
License:       Charityware
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcanberra-devel
BuildRequires: libgpm-devel
BuildRequires: libncurses-devel
BuildRequires: libperl
BuildRequires: libruby-devel
BuildRequires: libselinux-devel
BuildRequires: libsodium-devel
BuildRequires: libtcl-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel

%description
VIM (VIsual editor iMproved) is an updated and improved version of the vi editor.
Vi was the first real screen-based editor for UNIX, and is still very popular.
VIM improves on vi by adding new features: multiple windows, multi-level undo, block highlighting and more. VIM-X11 is a version of the VIM editor which will run within the X Window System.
If you install this package, you can run VIM as an X application with a full GUI interface and mouse support.

%package doc
Group:         Documentation
Summary:       Documentation for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description doc
VIM (VIsual editor iMproved) is an updated and improved version of the vi editor.
Vi was the first real screen-based editor for UNIX, and is still very popular.
VIM improves on vi by adding new features: multiple windows, multi-level undo, block highlighting and more. VIM-X11 is a version of the VIM editor which will run within the X Window System.
If you install this package, you can run VIM as an X application with a full GUI interface and mouse support.
This package provides documentation files.

%package tutor
Group:         Applications/Text
Summary:       Tutorial files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tutor
VIM (VIsual editor iMproved) is an updated and improved version of the vi editor.
Vi was the first real screen-based editor for UNIX, and is still very popular.
VIM improves on vi by adding new features: multiple windows, multi-level undo, block highlighting and more. VIM-X11 is a version of the VIM editor which will run within the X Window System.
If you install this package, you can run VIM as an X application with a full GUI interface and mouse support.
This package provides tutorial files.

%debug_package

%prep
%setup -q
# Avoid an unwanted /bin/csh requirement
%define __requires_exclude_from ^%{_datadir}/.*$

sed -i '
   s,SYS_VIMRC_FILE "\$VIM/vimrc",SYS_VIMRC_FILE "%{_sysconfdir}/vim/vimrc",
   s,SYS_GVIMRC_FILE "\$VIM/gvimrc",SYS_GVIMRC_FILE "%{_sysconfdir}/vim/gvimrc",' \
src/os_unix.h

# disable command echo
#for i in runtime/{gvimrc_example.vim,vimrc_example.vim}; do
#   sed -i 's/^set showcmd/set noshowcmd/' $i
#done

%define localedir %{buildroot}%{_datadir}/locale/

%build
# build gvim
%if %{with_gvim}

#LOCALEDIR=%{localedir} \
%configure \
   --with-compiledby="%{packager}" \
   --with-features=huge \
   --with-x=yes \
   --enable-gui=gnome2 \
   --enable-gtk2-check \
   --enable-xim \
   --enable-fontset \
   --enable-nls \
   --enable-perlinterp \
   --enable-pythoninterp \
   --enable-tclinterp \
   --with-tclsh=%{_bindir}/tclsh \
   --enable-rubyinterp \
   --enable-cscope \
   --disable-acl \
   --enable-multibyte 

# disable the '-g' option
%make &&
mv src/vim src/gvim
%make -C src clean CC=%{_target_platform}-gcc

%endif

# build vim
#LOCALEDIR=%{localedir} \
%configure \
   --with-compiledby="%{packager}" \
   --with-features=huge \
   --with-x=no \
   --enable-gui=no \
   --enable-nls \
   --enable-perlinterp \
   --enable-pythoninterp \
   --enable-tclinterp \
   --enable-rubyinterp \
   --with-tclsh=%{_bindir}/tclsh \
   --enable-cscope \
   --disable-acl \
   --enable-multibyte

#sed -i '
#   s,LOCALEDIR=$(DEST_LANG),LOCALEDIR=$(DESTDIR)$(prefix)/share/locale,g' \
#src/Makefile

%make
#% make lang

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall STRIP=/bin/true

ln -s vim %{buildroot}%{_bindir}/vi
install -m 0644 -D %{S:2} %{buildroot}%{_sysconfdir}/skel/.vimrc
install -m 0644 -D %{S:2} %{buildroot}/root/.vimrc

%if %{with_gvim}
install -m 0755 -D src/gvim %{buildroot}%{_bindir}/gvim
%endif

%find_lang %{name} --with-man --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/skel/.vimrc
%{_bindir}/*
%{_datadir}/applications/gvim.desktop
%{_datadir}/applications/vim.desktop
%dir %{_datadir}/vim/%{vimdir}
%{_datadir}/vim/%{vimdir}/*
%exclude %{_datadir}/vim/%{vimdir}/doc
%exclude %{_datadir}/vim/%{vimdir}/tutor
%{_datadir}/icons/locolor/*/apps/gvim.png
%{_datadir}/icons/hicolor/*/apps/gvim.png
%{_mandir}/man1/*
%if %{with_gvim}
%{_bindir}/gvim
%endif
/root/.vimrc

%files doc
%defattr(-,root,root)
%{_datadir}/vim/%{vimdir}/doc

%files tutor
%defattr(-,root,root)
%{_datadir}/vim/%{vimdir}/tutor

%changelog
* Sat Aug 28 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3378-1mamba
- automatic version update by autodist

* Fri Aug 27 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3377-1mamba
- automatic version update by autodist

* Thu Aug 26 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3376-1mamba
- automatic version update by autodist

* Wed Aug 25 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3371-1mamba
- automatic version update by autodist

* Tue Aug 24 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3370-1mamba
- automatic version update by autodist

* Mon Aug 23 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3367-1mamba
- automatic version update by autodist

* Mon Aug 23 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3365-1mamba
- automatic version update by autodist

* Sun Aug 22 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3361-1mamba
- automatic version update by autodist

* Sat Aug 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3360-1mamba
- automatic version update by autodist

* Sun Aug 08 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3313-1mamba
- automatic version update by autodist

* Sat Aug 07 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3301-1mamba
- automatic version update by autodist

* Sat Aug 07 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3299-1mamba
- automatic version update by autodist

* Thu Aug 05 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3292-1mamba
- automatic version update by autodist

* Thu Aug 05 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3290-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3281-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3279-1mamba
- automatic version update by autodist

* Tue Aug 03 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3275-1mamba
- automatic version update by autodist

* Mon Aug 02 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3273-1mamba
- automatic version update by autodist

* Mon Aug 02 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3269-1mamba
- automatic version update by autodist

* Sun Aug 01 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3268-1mamba
- automatic version update by autodist

* Sun Aug 01 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3263-1mamba
- automatic version update by autodist

* Sat Jul 31 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3255-1mamba
- automatic version update by autodist

* Sat Jul 31 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3253-1mamba
- automatic version update by autodist

* Sat Jul 31 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3249-1mamba
- automatic version update by autodist

* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3242-1mamba
- automatic version update by autodist

* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3238-1mamba
- automatic version update by autodist

* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3235-1mamba
- automatic version update by autodist

* Wed Jul 28 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3231-1mamba
- automatic version update by autodist

* Tue Jul 27 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3227-1mamba
- automatic version update by autodist

* Mon Jul 26 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3223-1mamba
- automatic version update by autodist

* Mon Jul 26 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3221-1mamba
- automatic version update by autodist

* Sat Jul 24 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3206-1mamba
- automatic version update by autodist

* Fri Jul 23 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3204-1mamba
- automatic version update by autodist

* Thu Jul 22 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3197-1mamba
- automatic version update by autodist

* Thu Jul 22 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3193-1mamba
- automatic version update by autodist

* Wed Jul 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3192-1mamba
- automatic version update by autodist

* Wed Jul 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3188-1mamba
- automatic version update by autodist

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3187-1mamba
- automatic version update by autodist

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3186-1mamba
- automatic version update by autodist

* Mon Jul 19 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3182-1mamba
- automatic version update by autodist

* Mon Jul 19 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3178-1mamba
- automatic version update by autodist

* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3176-1mamba
- automatic version update by autodist

* Sat Jul 17 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3172-1mamba
- automatic version update by autodist

* Fri Jul 16 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3167-1mamba
- automatic version update by autodist

* Thu Jul 15 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3161-1mamba
- automatic version update by autodist

* Thu Jul 15 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3159-1mamba
- automatic version update by autodist

* Wed Jul 14 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3158-1mamba
- automatic version update by autodist

* Tue Jul 13 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3156-1mamba
- automatic version update by autodist

* Tue Jul 13 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3154-1mamba
- automatic version update by autodist

* Mon Jul 12 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3150-1mamba
- automatic version update by autodist

* Sun Jul 11 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3140-1mamba
- automatic version update by autodist

* Sun Jul 11 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3134-1mamba
- automatic version update by autodist

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3119-1mamba
- automatic version update by autodist

* Wed Jul 07 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3114-1mamba
- automatic version update by autodist

* Tue Jul 06 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3113-1mamba
- automatic version update by autodist

* Mon Jul 05 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3107-1mamba
- automatic version update by autodist

* Mon Jul 05 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3100-1mamba
- automatic version update by autodist

* Sun Jul 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3095-1mamba
- automatic version update by autodist

* Sat Jul 03 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3083-1mamba
- automatic version update by autodist

* Fri Jul 02 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3082-1mamba
- automatic version update by autodist

* Thu Jul 01 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3081-1mamba
- automatic version update by autodist

* Wed Jun 30 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3075-1mamba
- automatic version update by autodist

* Wed Jun 30 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3073-1mamba
- automatic version update by autodist

* Tue Jun 29 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3072-1mamba
- automatic version update by autodist

* Mon Jun 28 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3070-1mamba
- automatic version update by autodist

* Sun Jun 27 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3065-1mamba
- automatic version update by autodist

* Sat Jun 26 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3053-1mamba
- automatic version update by autodist

* Sat Jun 26 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3049-1mamba
- automatic version update by autodist

* Fri Jun 25 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3046-1mamba
- automatic version update by autodist

* Thu Jun 24 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3043-1mamba
- automatic version update by autodist

* Wed Jun 23 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3036-1mamba
- automatic version update by autodist

* Tue Jun 22 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3033-1mamba
- automatic version update by autodist

* Mon Jun 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3027-1mamba
- automatic version update by autodist

* Mon Jun 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3025-1mamba
- automatic version update by autodist

* Sun Jun 20 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3020-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3017-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3013-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 8.2.3010-1mamba
- automatic version update by autodist

* Sun Jun 06 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2946-1mamba
- automatic version update by autodist

* Sat Jun 05 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2938-1mamba
- automatic version update by autodist

* Fri Jun 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2932-1mamba
- automatic version update by autodist

* Fri Jun 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2929-1mamba
- automatic version update by autodist

* Thu Jun 03 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2928-1mamba
- automatic version update by autodist

* Thu Jun 03 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2925-1mamba
- automatic version update by autodist

* Thu Jun 03 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2920-1mamba
- automatic version update by autodist

* Tue Jun 01 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2918-1mamba
- automatic version update by autodist

* Tue Jun 01 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2915-1mamba
- automatic version update by autodist

* Mon May 31 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2914-1mamba
- automatic version update by autodist

* Sun May 30 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2907-1mamba
- automatic version update by autodist

* Sun May 30 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2903-1mamba
- automatic version update by autodist

* Sat May 29 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2898-1mamba
- automatic version update by autodist

* Sat May 29 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2897-1mamba
- automatic version update by autodist

* Fri May 28 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2891-1mamba
- automatic version update by autodist

* Thu May 27 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2890-1mamba
- automatic version update by autodist

* Wed May 26 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2886-1mamba
- automatic version update by autodist

* Tue May 25 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2885-1mamba
- automatic version update by autodist

* Tue May 25 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2879-1mamba
- automatic version update by autodist

* Sat May 22 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2876-1mamba
- automatic version update by autodist

* Fri May 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2875-1mamba
- automatic version update by autodist

* Fri May 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2874-1mamba
- automatic version update by autodist

* Thu May 20 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2873-1mamba
- automatic version update by autodist

* Wed May 19 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2872-1mamba
- automatic version update by autodist

* Mon May 17 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2863-1mamba
- automatic version update by autodist

* Mon May 17 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2859-1mamba
- automatic version update by autodist

* Sun May 16 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2856-1mamba
- automatic version update by autodist

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2850-1mamba
- automatic version update by autodist

* Wed May 12 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2847-1mamba
- automatic version update by autodist

* Mon May 10 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2846-1mamba
- automatic version update by autodist

* Sat May 08 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2844-1mamba
- automatic version update by autodist

* Fri May 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 8.2.2840-2mamba
- fix building with latest libtcl; added debug package

* Fri May 07 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2840-1mamba
- automatic version update by autodist

* Fri May 07 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2836-1mamba
- automatic version update by autodist

* Wed May 05 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2832-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2831-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2827-1mamba
- automatic version update by autodist

* Mon May 03 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2825-1mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2821-1mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2820-1mamba
- automatic version update by autodist

* Sat May 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 8.2.2818-2mamba
- rebuilt with updated builddeps

* Sat May 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 8.2.2818-1mamba
- update to 8.2.2818

* Sun Apr 25 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2808-1mamba
- automatic version update by autodist

* Sat Apr 24 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2803-1mamba
- automatic version update by autodist

* Sat Apr 24 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2800-1mamba
- automatic version update by autodist

* Fri Apr 16 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2771-1mamba
- automatic version update by autodist

* Thu Apr 15 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2769-1mamba
- automatic version update by autodist

* Wed Apr 14 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2760-1mamba
- automatic version update by autodist

* Tue Apr 13 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2758-1mamba
- automatic version update by autodist

* Mon Apr 12 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2756-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2753-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2746-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2741-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2738-1mamba
- automatic version update by autodist

* Thu Apr 08 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2735-1mamba
- automatic version update by autodist

* Thu Apr 08 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2726-1mamba
- automatic version update by autodist

* Tue Apr 06 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2725-1mamba
- automatic version update by autodist

* Mon Apr 05 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2709-1mamba
- automatic version update by autodist

* Sun Apr 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2706-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2694-1mamba
- automatic version update by autodist

* Fri Apr 02 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2689-1mamba
- automatic version update by autodist

* Fri Apr 02 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2686-1mamba
- automatic version update by autodist

* Thu Apr 01 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2681-1mamba
- automatic version update by autodist

* Wed Mar 31 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2679-1mamba
- automatic version update by autodist

* Tue Mar 30 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2677-1mamba
- automatic version update by autodist

* Mon Mar 29 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2673-1mamba
- automatic version update by autodist

* Mon Mar 29 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2668-1mamba
- automatic version update by autodist

* Sun Mar 28 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2662-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2661-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2657-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2653-1mamba
- automatic version update by autodist

* Fri Mar 26 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2650-1mamba
- automatic version update by autodist

* Mon Mar 22 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2637-1mamba
- automatic version update by autodist

* Sun Mar 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2632-1mamba
- automatic version update by autodist

* Sun Mar 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2627-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2625-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2619-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2610-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2608-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2607-1mamba
- automatic version update by autodist

* Mon Mar 15 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2601-1mamba
- automatic version update by autodist

* Sat Mar 13 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2591-1mamba
- automatic version update by autodist

* Fri Mar 12 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2590-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2589-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2584-1mamba
- automatic version update by autodist

* Tue Mar 09 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2580-1mamba
- automatic version update by autodist

* Tue Mar 09 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2577-1mamba
- automatic version update by autodist

* Mon Mar 08 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2576-1mamba
- automatic version update by autodist

* Sun Mar 07 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2572-1mamba
- automatic version update by autodist

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2566-1mamba
- automatic version update by autodist

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2562-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2561-1mamba
- automatic version update by autodist

* Mon Mar 01 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2559-1mamba
- automatic version update by autodist

* Sun Feb 28 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2557-1mamba
- automatic version update by autodist

* Sun Feb 28 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2553-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2550-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2549-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2544-1mamba
- automatic version update by autodist

* Tue Feb 23 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2543-1mamba
- automatic version update by autodist

* Thu Jan 21 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2380-1mamba
- automatic version update by autodist

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 8.2.2347-1mamba
- automatic version update by autodist

* Sun Nov 15 2020 Automatic Build System <autodist@mambasoft.it> 8.2.1989-1mamba
- automatic version update by autodist

* Fri Sep 18 2020 Automatic Build System <autodist@mambasoft.it> 8.2.1704-1mamba
- automatic version update by autodist

* Tue Sep 15 2020 Automatic Build System <autodist@mambasoft.it> 8.2.1684-1mamba
- automatic version update by autodist

* Tue Sep 08 2020 Automatic Build System <autodist@mambasoft.it> 8.2.1634-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 8.2.1584-1mamba
- automatic version update by autodist

* Sun Aug 30 2020 Automatic Build System <autodist@mambasoft.it> 8.2.1537-1mamba
- automatic version update by autodist

* Sat Aug 29 2020 Automatic Build System <autodist@mambasoft.it> 8.2.1523-1mamba
- automatic version update by autodist

* Tue Aug 25 2020 Automatic Build System <autodist@mambasoft.it> 8.2.1522-1mamba
- automatic version update by autodist

* Sun May 24 2020 Automatic Build System <autodist@mambasoft.it> 8.2.0814-1mamba
- automatic version update by autodist

* Sat May 09 2020 Automatic Build System <autodist@mambasoft.it> 8.2.0717-1mamba
- automatic version update by autodist

* Sun Apr 05 2020 Automatic Build System <autodist@mambasoft.it> 8.2.0510-1mamba
- automatic version update by autodist

* Mon Mar 02 2020 Automatic Build System <autodist@mambasoft.it> 8.2.0343-1mamba
- automatic version update by autodist

* Mon Jan 27 2020 Automatic Build System <autodist@mambasoft.it> 8.2.0148-1mamba
- automatic version update by autodist

* Wed Jan 08 2020 Automatic Build System <autodist@mambasoft.it> 8.2.0100-1mamba
- automatic version update by autodist

* Fri Jan 03 2020 Automatic Build System <autodist@mambasoft.it> 8.2.0033-1mamba
- automatic version update by autodist

* Fri Nov 08 2019 Automatic Build System <autodist@mambasoft.it> 8.1.2268-1mamba
- automatic version update by autodist

* Mon Sep 30 2019 Automatic Build System <autodist@mambasoft.it> 8.1.2102-1mamba
- automatic version update by autodist

* Wed Sep 11 2019 Automatic Build System <autodist@mambasoft.it> 8.1.1968-1mamba
- automatic version update by autodist

* Thu Aug 22 2019 Automatic Build System <autodist@mambasoft.it> 8.1.1906-1mamba
- automatic version update by autodist

* Tue Jul 30 2019 Automatic Build System <autodist@mambasoft.it> 8.1.1776-1mamba
- automatic version update by autodist

* Fri Jul 05 2019 Automatic Build System <autodist@mambasoft.it> 8.1.1635-1mamba
- automatic version update by autodist

* Wed Jul 03 2019 Automatic Build System <autodist@mambasoft.it> 8.1.1616-1mamba
- automatic version update by autodist

* Wed Jul 03 2019 Automatic Build System <autodist@mambasoft.it> 8.1.1614-1mamba
- automatic version update by autodist

* Thu Jun 06 2019 Automatic Build System <autodist@mambasoft.it> 8.1.1467-1mamba
- automatic version update by autodist

* Sat Apr 27 2019 Automatic Build System <autodist@mambasoft.it> 8.1.1186-1mamba
- automatic version update by autodist

* Sun Mar 31 2019 Automatic Build System <autodist@mambasoft.it> 8.1.1073-1mamba
- automatic version update by autodist

* Thu Mar 07 2019 Automatic Build System <autodist@mambasoft.it> 8.1.0996-1mamba
- automatic version update by autodist

* Sun Feb 10 2019 Automatic Build System <autodist@mambasoft.it> 8.1.0877-1mamba
- automatic version update by autodist

* Thu Jan 17 2019 Automatic Build System <autodist@mambasoft.it> 8.1.0751-1mamba
- automatic version update by autodist

* Sat Dec 08 2018 Automatic Build System <autodist@mambasoft.it> 8.1.0570-1mamba
- automatic version update by autodist

* Fri Nov 23 2018 Automatic Build System <autodist@mambasoft.it> 8.1.0542-1mamba
- automatic version update by autodist

* Sat Nov 17 2018 Automatic Build System <autodist@mambasoft.it> 8.1.0527-1mamba
- automatic version update by autodist

* Mon Oct 15 2018 Automatic Build System <autodist@mambasoft.it> 8.1.0470-1mamba
- automatic version update by autodist

* Thu Sep 13 2018 Automatic Build System <autodist@mambasoft.it> 8.1.0374-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 8.1.0354-1mamba
- update to 8.1.0354

* Sat Jan 28 2017 Automatic Build System <autodist@mambasoft.it> 8.0.0237-1mamba
- automatic version update by autodist

* Thu Nov 17 2016 Automatic Build System <autodist@mambasoft.it> 8.0.0086-1mamba
- automatic version update by autodist

* Mon Oct 31 2016 Automatic Build System <autodist@mambasoft.it> 8.0.0055-1mamba
- automatic version update by autodist

* Mon Oct 24 2016 Automatic Build System <autodist@mambasoft.it> 8.0.0046-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 8.0.0013-1mamba
- automatic version update by autodist

* Sat Sep 24 2016 Automatic Build System <autodist@mambasoft.it> 8.0.0005-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 8.0-1mamba
- automatic version update by autodist

* Mon Aug 08 2016 Automatic Build System <autodist@mambasoft.it> 7.4.2143-1mamba
- automatic version update by autodist

* Fri Jun 10 2016 Automatic Build System <autodist@mambasoft.it> 7.4.1910-1mamba
- automatic version update by autodist

* Sat Jun 04 2016 Automatic Build System <autodist@mambasoft.it> 7.4.1797-1mamba
- automatic version update by autodist

* Thu Feb 25 2016 Automatic Build System <autodist@mambasoft.it> 7.4.1386-1mamba
- automatic version update by autodist

* Thu Feb 11 2016 Automatic Build System <autodist@mambasoft.it> 7.4.1294-1mamba
- automatic version update by autodist

* Fri Jan 29 2016 Automatic Build System <autodist@mambasoft.it> 7.4.1190-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Automatic Build System <autodist@mambasoft.it> 7.4.1089-1mamba
- automatic version update by autodist

* Mon Jan 11 2016 Automatic Build System <autodist@mambasoft.it> 7.4.1063-1mamba
- automatic version update by autodist

* Thu Dec 03 2015 Automatic Build System <autodist@mambasoft.it> 7.4.944-1mamba
- automatic version update by autodist

* Fri Oct 02 2015 Automatic Build System <autodist@mambasoft.it> 7.4.884-1mamba
- automatic version update by autodist

* Thu Sep 17 2015 Automatic Build System <autodist@mambasoft.it> 7.4.854-1mamba
- automatic version update by autodist

* Sun Jul 12 2015 Automatic Build System <autodist@mambasoft.it> 7.4.778-1mamba
- automatic version update by autodist

* Fri Jul 03 2015 Automatic Build System <autodist@mambasoft.it> 7.4.764-1mamba
- automatic version update by autodist

* Sun Jun 28 2015 Automatic Build System <autodist@mambasoft.it> 7.4.738-1mamba
- automatic version update by autodist

* Mon May 18 2015 Automatic Build System <autodist@mambasoft.it> 7.4.729-1mamba
- automatic version update by autodist

* Sat May 16 2015 Automatic Build System <autodist@mambasoft.it> 7.4.723-1mamba
- automatic version update by autodist

* Tue Apr 28 2015 Automatic Build System <autodist@mambasoft.it> 7.4.712-1mamba
- automatic version update by autodist

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 7.4.663-1mamba
- automatic version update by autodist

* Fri Feb 06 2015 Automatic Build System <autodist@mambasoft.it> 7.4.617-1mamba
- automatic version update by autodist

* Sun Jan 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.580-1mamba
- update to 7.4.580

* Mon Dec 01 2014 Automatic Build System <autodist@mambasoft.it> 7.4.537-1mamba
- automatic version update by autodist

* Tue Nov 25 2014 Automatic Build System <autodist@mambasoft.it> 7.4.525-1mamba
- automatic version update by autodist

* Mon Oct 13 2014 Automatic Build System <autodist@mambasoft.it> 7.4.473-1mamba
- automatic version update by autodist

* Thu Sep 25 2014 Automatic Build System <autodist@mambasoft.it> 7.4.459-1mamba
- automatic version update by autodist

* Thu Aug 28 2014 Automatic Build System <autodist@mambasoft.it> 7.4.410-1mamba
- automatic version update by autodist

* Wed Jul 30 2014 Automatic Build System <autodist@mambasoft.it> 7.4.383-1mamba
- automatic version update by autodist

* Tue Jul 29 2014 Automatic Build System <autodist@mambasoft.it> 7.4.373-1mamba
- automatic version update by autodist

* Wed Apr 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.258-1mamba
- update to 7.4.253

* Sun Jan 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.142-1mamba
- update to 7.4.142

* Sun Nov 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.094-1mamba
- update to 7.4.094

* Fri Sep 13 2013 Automatic Build System <autodist@mambasoft.it> 7.4.027-1mamba
- update to 7.4.027

* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 7.4.009-1mamba
- update to 7.4.009

* Sat Aug 10 2013 Automatic Build System <autodist@mambasoft.it> 7.3.1287-1mamba
- automatic version update by autodist

* Wed Dec 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 7.3-2mamba
- fix dependencies by unsetting use_internal_dependency_generator
- update packager
- added -doc and -tutor packages

* Tue Nov 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 7.3-1mamba
- update to 7.3
- also install .vimrc in /root

* Wed May 06 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 7.2-2mamba
- modified the .vimrc to add mode and command in the ruler, and make cursors keys works in edit mode
- modified vendor and distribution

* Fri Aug 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 7.2-1mamba
- update to 7.2

* Mon May 14 2007 Aleph0 <aleph0@openmamba.org> 7.1-1mamba
- update to 7.1
- modified xorg paths used when building gvim

* Fri Jul 07 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 7.0.037-1qilnx
- update to version 7.0.037 by autospec

* Mon Jun 26 2006 Davide Madrisan <davide.madrisan@qilinux.it> 6.4.010-2qilnx
- updated vimrc file

* Wed Apr 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 6.4.010-1qilnx
- update to version 6.4.010 by autospec

* Mon Oct 03 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 6.3.090-1qilnx
- updated to patch level 090

* Mon Aug 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 6.3.086-1qilnx
- updated to patch level 086

* Thu Dec 16 2004 Davide Madrisan <davide.madrisan@qilinux.it> 6.3-3qilnx
- security fix QSA-2004-064 (CAN-2004-1138)
- added new patches from ftp://ftp.vim.org/pub/vim/patches/6.3/

* Wed Nov 17 2004 Davide Madrisan <davide.madrisan@qilinux.it> 6.3-2qilnx
- rebuild with patches from ftp://ftp.vim.org/pub/vim/patches/6.3/
- fixed security issues in `vimspell.sh' and `tcltags' (insecure creation
  of temporary files)

* Tue Jun 08 2004 Davide Madrisan <davide.madrisan@qilinux.it> 6.3-1qilnx
- new version rebuild
- added localisation

* Tue Feb 17 2004 Davide Madrisan <davide.madrisan@qilinux.it> 6.2-1qilnx
- new version rebuild

* Wed Apr 23 2003 Silvan Calarco <silvan.calarco@qinet.it> 6.1-4qilnx
- added .vimrc default skeleton file

* Thu Apr 17 2003 Silvan Calarco <silvan.calarco@qinet.it> 6.1-3qilnx
- removed Prefix definition
- modified find_requires script to avoid a mistaken /bin/csh requirement

* Mon Apr 14 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it>
- modified file list and created infodir

* Wed Apr 02 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it>
- write a spec file for vim
